List All
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thanks.io/api/v2/message-templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.thanks.io/api/v2/message-templates/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thanks.io/api/v2/message-templates/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 1912,
"user_id": 2,
"sub_account_id": null,
"handwriting_style_id": 102,
"font_size": "small",
"font_color": "#000000",
"name": "Thank You Message Templates",
"content": "Dear %FIRST_NAME%\\n\\nThis is another test message.",
"additional_pages": null,
"skip_creative_generation": 0,
"custom_background_url": null,
"qrcode_url": "https://www.google.com",
"cc_emails": [],
"created_at": "2026-08-05T02:38:44.000000Z",
"updated_at": "2026-08-05T02:39:04.000000Z",
"type": "postcard",
"giftcard_brand_code": "",
"giftcard_brand_image": null,
"giftcard_amount": "",
"youtube_id": "",
"landing_page_url": "",
"share_uuid": "TL9C-UUBP-SNT2-SX5Q",
"brand_data": {
"brand_code": "amazonus",
"title": "Amazon.com",
"image": "https://cdn.thanks.io/giftcards/amazonus.png",
"available_amounts": [
500,
1000,
1500,
2000,
2500,
3000,
4000,
5000,
10000,
20000
]
},
"handwriting_realism": false
},
{
"id": 1913,
"user_id": 2,
"sub_account_id": null,
"handwriting_style_id": 110,
"font_size": "auto",
"font_color": "rgba(31,0,113,0.80)",
"name": "Birthday Card",
"content": "Hey %FIRST_NAME%!, \n\nTHANK YOU for allowing us the opportunity to HELP you with your plan! \n\nHappy Birthday!",
"additional_pages": null,
"skip_creative_generation": 0,
"custom_background_url": null,
"qrcode_url": "",
"cc_emails": [],
"created_at": "2026-08-05T02:41:28.000000Z",
"updated_at": "2026-08-05T02:41:32.000000Z",
"type": "giftcard",
"giftcard_brand_code": "starbucksus",
"giftcard_brand_image": "https://cdn.thanks.io/giftcards/starbucks.png",
"giftcard_amount": "2000",
"youtube_id": "",
"landing_page_url": "",
"share_uuid": "PKE4-QGHH-CHZ9-QV6G",
"brand_data": {
"brand_code": "starbucksus",
"title": "Starbucks",
"image": "https://cdn.thanks.io/giftcards/starbucks.png",
"available_amounts": [
500,
1000,
1500,
2000,
2500,
5000,
10000
]
},
"handwriting_realism": false
}
],
"links": {
"first": "https://api.thanks.io/api/v2/message-templates?page=1",
"last": "https://api.thanks.io/api/v2/message-templates?page=71",
"prev": null,
"next": "https://api.thanks.io/api/v2/message-templates?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 71,
"path": "https://api.thanks.io/api/v2/message-templates",
"per_page": "2",
"to": 2,
"total": 141
}
}{
"message": "Unauthorized"
}Message Templates
List Message Templates
List all available message templates.
GET
/
message-templates
/
List All
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thanks.io/api/v2/message-templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.thanks.io/api/v2/message-templates/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thanks.io/api/v2/message-templates/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 1912,
"user_id": 2,
"sub_account_id": null,
"handwriting_style_id": 102,
"font_size": "small",
"font_color": "#000000",
"name": "Thank You Message Templates",
"content": "Dear %FIRST_NAME%\\n\\nThis is another test message.",
"additional_pages": null,
"skip_creative_generation": 0,
"custom_background_url": null,
"qrcode_url": "https://www.google.com",
"cc_emails": [],
"created_at": "2026-08-05T02:38:44.000000Z",
"updated_at": "2026-08-05T02:39:04.000000Z",
"type": "postcard",
"giftcard_brand_code": "",
"giftcard_brand_image": null,
"giftcard_amount": "",
"youtube_id": "",
"landing_page_url": "",
"share_uuid": "TL9C-UUBP-SNT2-SX5Q",
"brand_data": {
"brand_code": "amazonus",
"title": "Amazon.com",
"image": "https://cdn.thanks.io/giftcards/amazonus.png",
"available_amounts": [
500,
1000,
1500,
2000,
2500,
3000,
4000,
5000,
10000,
20000
]
},
"handwriting_realism": false
},
{
"id": 1913,
"user_id": 2,
"sub_account_id": null,
"handwriting_style_id": 110,
"font_size": "auto",
"font_color": "rgba(31,0,113,0.80)",
"name": "Birthday Card",
"content": "Hey %FIRST_NAME%!, \n\nTHANK YOU for allowing us the opportunity to HELP you with your plan! \n\nHappy Birthday!",
"additional_pages": null,
"skip_creative_generation": 0,
"custom_background_url": null,
"qrcode_url": "",
"cc_emails": [],
"created_at": "2026-08-05T02:41:28.000000Z",
"updated_at": "2026-08-05T02:41:32.000000Z",
"type": "giftcard",
"giftcard_brand_code": "starbucksus",
"giftcard_brand_image": "https://cdn.thanks.io/giftcards/starbucks.png",
"giftcard_amount": "2000",
"youtube_id": "",
"landing_page_url": "",
"share_uuid": "PKE4-QGHH-CHZ9-QV6G",
"brand_data": {
"brand_code": "starbucksus",
"title": "Starbucks",
"image": "https://cdn.thanks.io/giftcards/starbucks.png",
"available_amounts": [
500,
1000,
1500,
2000,
2500,
5000,
10000
]
},
"handwriting_realism": false
}
],
"links": {
"first": "https://api.thanks.io/api/v2/message-templates?page=1",
"last": "https://api.thanks.io/api/v2/message-templates?page=71",
"prev": null,
"next": "https://api.thanks.io/api/v2/message-templates?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 71,
"path": "https://api.thanks.io/api/v2/message-templates",
"per_page": "2",
"to": 2,
"total": 141
}
}{
"message": "Unauthorized"
}Authorizations
Bearer token authentication using your thanks.io API key
Query Parameters
Number of items to return per page.
Filter results by Sub Account ID.
Was this page helpful?
⌘I